Bug 444210 - Adding multiple fence devices at the same time causes duplicate entries
Adding multiple fence devices at the same time causes duplicate entries
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ryan McCabe
Depends On:
  Show dependency treegraph
Reported: 2008-04-25 15:40 EDT by Vinny Valdez
Modified: 2009-04-16 18:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 16:56:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vinny Valdez 2008-04-25 15:40:26 EDT
Description of problem:
When adding fencing to a node, if I select "add a fence device to this level"
under either "Main" or "Backup" fencing methods more than once at a time, when
saving it with "update fence properties", the entries are duplicated in both
"Main" and "Backup".  If I add one device, save it, then add another, it works
as expected.  I also tried this using 5.2 beta, and it still occurs (it seems to
duplicate it twice in each section as well).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Setup a new cluster
2. Select any node to configure fencing
3. Add more than one fencing device at the same time to the same Fencing
Method and save it with the "update fence properties" button.
Actual results:
The fencing devices are duplicated in both main and backup.  The
cluster.conf also lists the duplicate entries.  However, if I add only one
fencing device and save it, I can add another one at the same level with
out issue.

Expected results:
The entries should only appear in the section that the fencing devices were
added to.

Additional info:
I also had issues when trying to remove previous duplicates.  I have to
remove and save individual fencing devices.  If I remove all of them and
save, it does not remove them properly.  It appears to be the same type of
behavior as adding them.
Comment 1 Vinny Valdez 2008-04-25 15:48:09 EDT
I meant to add that the scenario that requires this type of configuration is
when the nodes are connected to two network power switches, and require both
devices as their main fencing method.  In my lab I have one apc and one wti that
each node is connected to.  However, I can reproduce this by adding any fence
devices to the same method at once.
Comment 5 Brian Brock 2008-12-16 18:32:02 EST
verified, one entry seen per fence
Comment 7 errata-xmlrpc 2009-01-20 16:56:13 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.